## Selections

Selections — selection and clipboard utilities

## Synopsis

    #include <e-util/e-selection.h>

    void                e_target_list_add_calendar_targets  (GtkTargetList *list,
                                                             guint info);
    void                e_target_list_add_directory_targets (GtkTargetList *list,
                                                             guint info);
    gboolean            e_selection_data_set_calendar       (GtkSelectionData *selection_data,
                                                             const gchar *source,
                                                             gint length);
    gboolean            e_selection_data_set_directory      (GtkSelectionData *selection_data,
                                                             const gchar *source,
                                                             gint length);
    gchar *             e_selection_data_get_calendar       (GtkSelectionData *selection_data);
    gchar *             e_selection_data_get_directory      (GtkSelectionData *selection_data);
    gboolean            e_selection_data_targets_include_calendar
                                                            (GtkSelectionData *selection_data);
    gboolean            e_selection_data_targets_include_directory
                                                            (GtkSelectionData *selection_data);
    gboolean            e_targets_include_calendar          (GdkAtom *targets,
                                                             gint n_targets);
    gboolean            e_targets_include_directory         (GdkAtom *targets,
                                                             gint n_targets);
    void                e_clipboard_set_calendar            (GtkClipboard *clipboard,
                                                             const gchar *source,
                                                             gint length);
    void                e_clipboard_set_directory           (GtkClipboard *clipboard,
                                                             const gchar *source,
                                                             gint length);
    void                e_clipboard_request_calendar        (GtkClipboard *clipboard,
                                                             GtkClipboardTextReceivedFunc callback,
                                                             gpointer user_data);
    void                e_clipboard_request_directory       (GtkClipboard *clipboard,
                                                             GtkClipboardTextReceivedFunc callback,
                                                             gpointer user_data);
    gchar *             e_clipboard_wait_for_calendar       (GtkClipboard *clipboard);
    gchar *             e_clipboard_wait_for_directory      (GtkClipboard *clipboard);
    gboolean            e_clipboard_wait_is_calendar_available
                                                            (GtkClipboard *clipboard);
    gboolean            e_clipboard_wait_is_directory_available
                                                            (GtkClipboard *clipboard);

## Description

## Details

### e_target_list_add_calendar_targets ()

    void                e_target_list_add_calendar_targets  (GtkTargetList *list,
                                                             guint info);

`list` : |
`info` : |

### e_target_list_add_directory_targets ()

    void                e_target_list_add_directory_targets (GtkTargetList *list,
                                                             guint info);

`list` : |
`info` : |

### e_selection_data_set_calendar ()

    gboolean            e_selection_data_set_calendar       (GtkSelectionData *selection_data,
                                                             const gchar *source,
                                                             gint length);

`selection_data` : |
`source` : |
`length` : |
Returns : |

### e_selection_data_set_directory ()

    gboolean            e_selection_data_set_directory      (GtkSelectionData *selection_data,
                                                             const gchar *source,
                                                             gint length);

`selection_data` : |
`source` : |
`length` : |
Returns : |

### e_selection_data_get_calendar ()

    gchar *             e_selection_data_get_calendar       (GtkSelectionData *selection_data);

`selection_data` : |
Returns : |

### e_selection_data_get_directory ()

    gchar *             e_selection_data_get_directory      (GtkSelectionData *selection_data);

`selection_data` : |
Returns : |

### e_selection_data_targets_include_calendar ()

    gboolean            e_selection_data_targets_include_calendar
                                                            (GtkSelectionData *selection_data);

`selection_data` : |
Returns : |

### e_selection_data_targets_include_directory ()

    gboolean            e_selection_data_targets_include_directory
                                                            (GtkSelectionData *selection_data);

`selection_data` : |
Returns : |

### e_targets_include_calendar ()

    gboolean            e_targets_include_calendar          (GdkAtom *targets,
                                                             gint n_targets);

`targets` : |
`n_targets` : |
Returns : |

### e_targets_include_directory ()

    gboolean            e_targets_include_directory         (GdkAtom *targets,
                                                             gint n_targets);

`targets` : |
`n_targets` : |
Returns : |

### e_clipboard_set_calendar ()

    void                e_clipboard_set_calendar            (GtkClipboard *clipboard,
                                                             const gchar *source,
                                                             gint length);

`clipboard` : |
`source` : |
`length` : |

### e_clipboard_set_directory ()

    void                e_clipboard_set_directory           (GtkClipboard *clipboard,
                                                             const gchar *source,
                                                             gint length);

`clipboard` : |
`source` : |
`length` : |

### e_clipboard_request_calendar ()

    void                e_clipboard_request_calendar        (GtkClipboard *clipboard,
                                                             GtkClipboardTextReceivedFunc callback,
                                                             gpointer user_data);

`clipboard` : |
`callback` : |
`user_data` : |

### e_clipboard_request_directory ()

    void                e_clipboard_request_directory       (GtkClipboard *clipboard,
                                                             GtkClipboardTextReceivedFunc callback,
                                                             gpointer user_data);

`clipboard` : |
`callback` : |
`user_data` : |

### e_clipboard_wait_for_calendar ()

    gchar *             e_clipboard_wait_for_calendar       (GtkClipboard *clipboard);

`clipboard` : |
Returns : |

### e_clipboard_wait_for_directory ()

    gchar *             e_clipboard_wait_for_directory      (GtkClipboard *clipboard);

`clipboard` : |
Returns : |

### e_clipboard_wait_is_calendar_available ()

    gboolean            e_clipboard_wait_is_calendar_available
                                                            (GtkClipboard *clipboard);

`clipboard` : |
Returns : |

### e_clipboard_wait_is_directory_available ()

    gboolean            e_clipboard_wait_is_directory_available
                                                            (GtkClipboard *clipboard);

`clipboard` : |
Returns : |